Name:             rmic-maven-plugin
Version:          1.1
Release:          7%{?dist}
Summary:          Uses the java rmic compiler to generate classes used in remote method invocation
License:          MIT
Group:            Development/Libraries
URL:              http://mojo.codehaus.org/%{name}

Source0:          http://repo2.maven.org/maven2/org/codehaus/mojo/%{name}/%{version}/%{name}-%{version}-source-release.zip

BuildArch:        noarch

BuildRequires:    asm2
BuildRequires:    groovy
BuildRequires:    java-devel >= 1:1.6.0
BuildRequires:    jpackage-utils
BuildRequires:    maven
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-invoker-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-plugin-cobertura
BuildRequires:    maven-plugin-plugin
BuildRequires:    maven-resources-plugin
BuildRequires:    maven-shared-invoker
BuildRequires:    maven-surefire-plugin
BuildRequires:    mojo-parent

Requires:         java >= 1:1.6.0
Requires:         jpackage-utils
Requires:         maven
Requires:         plexus-archiver
Requires:         plexus-compiler
Requires:         plexus-container-default
Requires:         plexus-utils

Requires(post):   jpackage-utils
Requires(postun): jpackage-utils

%description
This plugin works with Maven 2 and uses the java rmic compiler to generate
classes used in remote method invocation.

%package javadoc
Summary:          Javadoc for %{name}
Group:            Documentation
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q

%build
mvn-rpmbuild install javadoc:aggregate

%install
# jars
install -d -m 0755 %{buildroot}%{_javadir}
install -pm 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

# pom
install -d -m 0755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_to_maven_depmap org.codehaus.mojo %{name} %{version} JPP %{name}

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}/


%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%doc License.txt
%{_javadir}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%doc License.txt
%{_javadocdir}/%{name}

%changelog
* Wed May 18 2011 Chris Spike <spike@fedoraproject.org> 1.1-7
- Adapted to current java packaging guidelines

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Oct 5 2010 Chris Spike <spike@fedoraproject.org> 1.1-5
- Consistently using 'buildroot' macro instead of 'RPM_BUILD_ROOT' now

* Thu Jul 15 2010 Chris Spike <spike@fedoraproject.org> 1.1-4
- Set maven2.jpp.mode to true
- Extensive use of buildroot-macro
- Moved from Development/Tools -> Development/Libraries
- Set maven.test.failure.ignore to true (do tests again, but ignore failures)
- Changed summary to be more descriptive
- Removed BuildArch from javadoc subpackage
- Added BR mojo-parent to fix FTBFS (#631167)

* Mon Jul 12 2010 Chris Spike <spike@fedoraproject.org> 1.1-3
- Changed 'Source0' to match upstream source release zip-file

* Mon Jul 12 2010 Chris Spike <spike@fedoraproject.org> 1.1-2
- Skipping tests

* Fri Jul 9 2010 Chris Spike <spike@fedoraproject.org> 1.1-1
- Initial version of the package
